curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/work-orders' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"asset_id": null,
"assigned_to": null,
"bill_of_materials_number": null,
"created_at": null,
"description": null,
"due_date": null,
"id": null,
"parts_required": null,
"priority": null,
"quantity_produced": null,
"status": null,
"title": null,
"updated_at": null
}
],
"limit": 20,
"page": 1,
"total": 49,
"total_pages": 1
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
List work orders with optional filtering
List work orders
GET
/
api
/
v1
/
work-orders
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/work-orders' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"asset_id": null,
"assigned_to": null,
"bill_of_materials_number": null,
"created_at": null,
"description": null,
"due_date": null,
"id": null,
"parts_required": null,
"priority": null,
"quantity_produced": null,
"status": null,
"title": null,
"updated_at": null
}
],
"limit": 20,
"page": 1,
"total": 49,
"total_pages": 1
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Query parameters
string
string
string
string
string
string
string
integer (int32)
integer (int32)
Response
ApiResponse_PaginatedResponse_WorkOrderResponse
object
Show data
Show data
object[]
required
integer (int64)
required
integer (int64)
required
integer (int64)
required
integer (int64)
required
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | List work orders |
401 | Unauthorized |
403 | Forbidden |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/work-orders' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": {
"items": [
{
"asset_id": null,
"assigned_to": null,
"bill_of_materials_number": null,
"created_at": null,
"description": null,
"due_date": null,
"id": null,
"parts_required": null,
"priority": null,
"quantity_produced": null,
"status": null,
"title": null,
"updated_at": null
}
],
"limit": 20,
"page": 1,
"total": 49,
"total_pages": 1
},
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026